Skip to content

Get a user’s open positions in a market, valued at the sell quote

GET
/markets-v2/{marketOnchainId}/position-values
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets-v2/1/position-values?holderUserkey=example'
marketOnchainId
required
integer
> 0 <= 9007199254740991
holderUserkey
required
string

Successful response

Media typeapplication/json
object
values
required
Array<object>
object
isPositive
required
boolean
tokenBalance
required
integer format: int64
value
required
integer format: int64

Example generated

{
"values": [
{
"isPositive": true,
"tokenBalance": 1,
"value": 1
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}